#!/bin/sh

#################################
## IMPLEMENTATION INSTRUCTIONS ##
#################################

## 1: Edit the parameters in the "PARAMETERS" section
## 2: Choose "Reveal CCC Scripts folder" from CCC's Utilities menu (if you see "Secure CCC's Scripts folder" instead, choose that first)
## 3. Copy this script into the revealed Scripts folder
## 4: Choose "Secure CCC's Scripts folder" from CCC's Utilities menu
## 5: Open CCC's Settings window and click "Advanced" in the toolbar
## 6: Click the button to choose a Preflight script. Select this script when prompted.

#################################
########## PARAMETERS ###########
#################################

affectedTasks=("Hourly Documents Backup" "CCC Backup Task")

# Uncomment the next line to cause the script to affect every task
#affectedTasks=""

log="/tmp/`basename $0`.log"

# An exit status of "89" will abort the task without error, as if 
# cancelled by the user. If you want this reported as an error, emails 
# sent, etc., change the exit status to any other non-zero value
# An exit status of 104 will abort the task without error, and without
# recording a task history event
exit_status=104

# Define your functionality in this function
do_stuff_for_task() {
	task="$1"
	echo "`date`: Doing stuff for $task" | tee -a "$log"
	foo=bar
	if [ "$foo" != "bar" ]; then
		exit $exit_status
	else
		exit 0
	fi
}


##### No edits required past this line #####
taskUUID="$1"
taskName="$2"

if [ "$affectedTasks" = "" ]; then
	do_stuff_for_task "$taskName"
else
	for task in "${affectedTasks[@]}"; do
		if [ "$task" = "$taskName" ]; then
			do_stuff_for_task "$task"
		fi
	done

	echo "`date`: $taskName is not in my affected tasks array, nothing to do here." | tee -a "$log"
	exit 0
fi
